Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QFileInfo

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QFileInfo class reference

### Public Types

- enum PermissionSpec { ReadOwner, WriteOwner, ExeOwner, ReadUser, WriteUser, ..., ExeOther }

### Public Functions

- QString absFilePath () const
- QString baseName ( bool complete )
- bool convertToAbs ()
- QDir dir ( bool absPath ) const
- QString dirPath ( bool absPath = false ) const
- QString extension ( bool complete = true ) const

## Member Type Documentation

### enum QFileInfo::PermissionSpec

`QFileInfo::ReadOwner` |
`QFileInfo::WriteOwner` |
`QFileInfo::ExeOwner` |
`QFileInfo::ReadUser` |
`QFileInfo::WriteUser` |
`QFileInfo::ExeUser` |
`QFileInfo::ReadGroup` |
`QFileInfo::WriteGroup` |
`QFileInfo::ExeGroup` |
`QFileInfo::ReadOther` |
`QFileInfo::WriteOther` |
`QFileInfo::ExeOther` |

## Member Function Documentation

### QString QFileInfo::absFilePath () const

Use absoluteFilePath() instead.

### QString QFileInfo::baseName ( bool complete )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use completeBaseName() or the baseName() overload that takes no parameters instead.

### bool QFileInfo::convertToAbs ()

Use makeAbsolute() instead.

### QDir QFileInfo::dir ( bool absPath ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use absoluteDir() or the dir() overload that takes no parameters instead.

### QString QFileInfo::dirPath ( bool absPath = false ) const

Returns the path (which may be relative). If absPath is true, returns the absolute path, i.e., from the root.

### QString QFileInfo::extension ( bool complete = true ) const

Use completeSuffix() or suffix() instead.